Name:		spek
Version:	0.8.3
Release:	%mkrel 3
Group:		Sound
License:	GPLv3
Summary:	Tool for audio spectrum analysis and visualization
URL:		http://spek.cc/
Source:		https://github.com/alexkay/spek/archive/v%{version}/%{name}-%{version}.tar.xz
Patch1:		ffmpeg_2.9.patch
BuildRequires:	lib64wxgtku3.1-devel
BuildRequires:	ffmpeg-devel
BuildRequires:	intltool
Requires:       wxgtk3.1
Requires:       lib64wxgtkugl3.1_3
Requires:       lib64wxgtku3.1_3

%description
Spek (IPA: /spɛk/, ‘bacon’ in Dutch) helps to analyse your audio files by showing
their spectrogram. Spek is free software available for Unix, Windows and Mac OS X.

Features:

* Supports all popular lossy and lossless audio file formats thanks to the FFmpeg libraries.
* Ultra-fast signal processing, uses multiple threads to further speed up the analysis.
* Shows the codec name and the audio signal parameters.
* Allows to save the spectrogram as an image file.
* Drag-and-drop support; associates with common audio file formats.
* Auto-fitting time, frequency and spectral density rulers.
* Adjustable spectral density range.
* Translated into 16 languages.

%prep
%setup -q
%apply_patches

NOCONFIGURE=1 ./autogen.sh

%build
%configure2_5x
%make_build

%install
%make_install

%find_lang %{name}

%files -f %{name}.lang
%doc README.md
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*
%{_mandir}/man1/%{name}.*


%changelog
* Thu Oct 14 2021 tex - 0.8.3-3pclos2021
- rebuild against updates

* Sun Nov 24 2019 tex - 0.8.3-2pclos2019
- rebuild against updates

* Sat May 04 2019 tex 0.8.3-1pclos2019
- new
